POST /data/departments/{department_id}/hardware-items

Associate a hardware item with a specific department. This allows the department to use the specified hardware in budget forecasting.

Path parameters

  • department_id Required

    Unique identifier of the department

application/json

Body Required

  • hardware_item_id string(uuid) Required

    Hardware item identifier to add to department

Responses

  • 201 application/json

    Hardware item successfully added to department

    Hide response attributes Show response attributes object
    • id string(uuid)

      Hardware department link unique identifier

    • department_id string(uuid)

      Department identifier

    • hardware_item_id string(uuid)

      Hardware item identifier

    • created_at string(date-time)

      Creation timestamp

POST /data/departments/{department_id}/hardware-items
curl -X POST "http://api.example.com/data/departments/a24a6ea4-ce75-4665-a070-57453082c25/hardware-items" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "hardware_item_id": "b35b7fb5-df86-5776-b181-68564193d36"
}'
import requests

url = "http://api.example.com/data/departments/a24a6ea4-ce75-4665-a070-57453082c25/hardware-items"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "hardware_item_id": "b35b7fb5-df86-5776-b181-68564193d36"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/departments/a24a6ea4-ce75-4665-a070-57453082c25/hardware-items' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"hardware_item_id":"b35b7fb5-df86-5776-b181-68564193d36"}'
Request examples
{
  "hardware_item_id": "b35b7fb5-df86-5776-b181-68564193d36"
}
Response examples (201)
{
  "id": "c46c8gc6-eg97-6887-c292-79675204e47",
  "department_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "hardware_item_id": "b35b7fb5-df86-5776-b181-68564193d36",
  "created_at": "2023-01-01T12:00:00Z"
}